package com.prolog.cs.biz.inbound.vo;

import com.prolog.cs.biz.inbound.dto.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 质检任务查询类
 * 
 * @author Xiong
 *
 */
@ApiModel
public class RqcDQueryVO extends PageParam implements Serializable {

	private static final long serialVersionUID = -4484677458267753646L;

	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	@ApiModelProperty(value = "收货行头ID")
	private String rcvLineId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "双人业务类型(0:正常 1：双人验收，默认正常)")
	private Integer itemHealthIsDouble;

	@ApiModelProperty(value = "批号")
	private String lotNum;

	@ApiModelProperty(value = "第几次检查")
	private Integer times;

	@ApiModelProperty(value = "批次号")
	private String batchNum;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "货主ID")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	@ApiModelProperty(value = "质检单头ID")
	private String rqcHeaderId;

	@ApiModelProperty(value = "结论")
	private String stockStatus;

	@ApiModelProperty(value = "任务状态")
	private String taskStatus;

	@ApiModelProperty(value = "包含的明细id列表")
	private List<String> includeIds;

	@ApiModelProperty(value = "排除的明细id列表")
	private List<String> excludeIds;

	@ApiModelProperty(value = "上架任务池id")
	private String taskId;

	@ApiModelProperty(value = "打印状态0：未打印 1：已打印", position = -1)
	private String printStatus;


	// =====================6.11新加======================================
	@ApiModelProperty(value = "包含的质检头id列表")
	private List<String> includeHIds;

	@ApiModelProperty(value = "排除的质检头id列表")
	private List<String> excludeHIds;

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(String taskStatus) {
		this.taskStatus = taskStatus;
	}

	public List<String> getIncludeHIds() {
		return includeHIds;
	}

	public void setIncludeHIds(List<String> includeHIds) {
		this.includeHIds = includeHIds;
	}

	public List<String> getExcludeHIds() {
		return excludeHIds;
	}

	public void setExcludeHIds(List<String> excludeHIds) {
		this.excludeHIds = excludeHIds;
	}

	public String getRqcHeaderId() {
		return rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public List<String> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<String> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Integer getItemHealthIsDouble() {
		return itemHealthIsDouble;
	}

	public void setItemHealthIsDouble(Integer itemHealthIsDouble) {
		this.itemHealthIsDouble = itemHealthIsDouble;
	}

	public String getLotNum() {
		return lotNum;
	}

	public void setLotNum(String lotNum) {
		this.lotNum = lotNum;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
}
